Bug 161847 - License problem: LGPL has been withdrawn
License problem: LGPL has been withdrawn
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-27 14:33 EDT by John Morris
Modified: 2018-04-11 04:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:36:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Morris 2005-06-27 14:33:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.7) Gecko/20050502 White Box/1.0.3-1.4.1.WB1 Firefox/1.0.3

Description of problem:
Firefox is no longer dual licensed.  This is confirmed by a long thread at lwn.net between the responsible party at at mozilla.org and myself.  LGPL has been withdrawn as a possible license.  This is being done to permit their new initive in enforcing their trademark on "Firefox".  Apparently Fedora must either distribute the unmodified binary offered for download at mozilla.org, change the name from firefox or the Fedora Foundation needs to enter talks to license the mark (non-redistributable srpm is a required precondition) to comply with their new license terms.

Also from this same conversation it appears that while Red Hat has licensed the trademark for use in RHEL it should either cease distribution of the srpm to remain in compliance or mark it as non-buildable, perhaps by adopting jpackage's nosrc.rpm form?

Version-Release number of selected component (if applicable):
firefox-1.0.4

How reproducible:
Always

Steps to Reproduce:
1.  Read the trademark guidelines at mozilla.org
2.  Lament their departure from the Free Software community.
3.  Decide what to do.
  

Additional info:
Comment 1 Christian Iseli 2007-01-22 05:36:13 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Matěj Cepl 2007-07-18 13:22:05 EDT
Distribution against which this bug was reported is no longer supported; could
you please reproduce this with the updated version of the currently supported
distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue turns out
to still be reproducible, please let us know in this bug report.  If after a
month's time we have not heard back from you, we will have to close this bug as
CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Matěj Cepl 2007-08-28 10:36:10 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.